org.springframework.expression.spel

## Class SpelParserConfiguration

- java.lang.Object
- - org.springframework.expression.spel.SpelParserConfiguration

-     public class SpelParserConfiguration
      extends Object

  Configuration object for the SpEL expression parser.
  Since:
    3.0
  Author:
    Juergen Hoeller, Phillip Webb
  See Also:
    `SpelExpressionParser.SpelExpressionParser(SpelParserConfiguration)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpelParserConfiguration(boolean autoGrowNullReferences, boolean autoGrowCollections)` Create a new `SpelParserConfiguration` instance.
    `SpelParserConfiguration(boolean autoGrowNullReferences, boolean autoGrowCollections, int maximumAutoGrowSize)` Create a new `SpelParserConfiguration` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaximumAutoGrowSize()`
    `boolean` | `isAutoGrowCollections()`
    `boolean` | `isAutoGrowNullReferences()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpelParserConfiguration

          public SpelParserConfiguration(boolean autoGrowNullReferences,
                                         boolean autoGrowCollections)

      Create a new `SpelParserConfiguration` instance.
      Parameters:
        `autoGrowNullReferences` - if null references should automatically grow
        `autoGrowCollections` - if collections should automatically grow
      See Also:
        `SpelParserConfiguration(boolean, boolean, int)`

    - #### SpelParserConfiguration

          public SpelParserConfiguration(boolean autoGrowNullReferences,
                                         boolean autoGrowCollections,
                                         int maximumAutoGrowSize)

      Create a new `SpelParserConfiguration` instance.
      Parameters:
        `autoGrowNullReferences` - if null references should automatically grow
        `autoGrowCollections` - if collections should automatically grow
        `maximumAutoGrowSize` - the maximum size that the collection can auto grow

  - ### Method Detail

    - #### isAutoGrowNullReferences

          public boolean isAutoGrowNullReferences()

      Returns:
        `true` if `null` references should be automatically grown

    - #### isAutoGrowCollections

          public boolean isAutoGrowCollections()

      Returns:
        `true` if collections should be automatically grown

    - #### getMaximumAutoGrowSize

          public int getMaximumAutoGrowSize()

      Returns:
        the maximum size that a collection can auto grow